## gcc-mingw-w64 22~exp1ubuntu1

=== debian/changelog ===
gcc-mingw-w64 (22~exp1ubuntu1) eoan; urgency=medium

  * Fix unpack step.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Sep 2019 22:36:19 +0200
