## gcc-mingw-w64 22~exp1ubuntu2

=== debian/changelog ===
gcc-mingw-w64 (22~exp1ubuntu2) eoan; urgency=medium

  * No-change upload.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Oct 2019 12:51:28 +0200
