## gcc-mingw-w64 22~exp1ubuntu3

=== debian/changelog ===
gcc-mingw-w64 (22~exp1ubuntu3) focal; urgency=medium

  * Rebuild for isl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Dec 2019 21:51:22 +0100
