## gcc-mingw-w64 22~exp1ubuntu4

=== debian/changelog ===
gcc-mingw-w64 (22~exp1ubuntu4) focal; urgency=medium

  * Build using GCC 9.3.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 08:22:44 +0100
