=== debian/control ===
# This file is generated using debian/rules control, do not edit
Source: gcc-mingw-w64
Maintainer: Stephen Kitt <skitt@debian.org>
Section: devel
Priority: optional
Build-Depends: autotools-dev,
               binutils-mingw-w64-i686 (>= 2.30~),
               binutils-mingw-w64-x86-64 (>= 2.30~),
               bison,
               debhelper,
               flex,
               g++-9,
               gcc-9-source,
               gnat-9,
               libelf-dev,
               libgmp-dev,
               libisl-dev,
               libmpc-dev,
               libmpfr-dev,
               mingw-w64-i686-dev <!stage1>,
               mingw-w64-x86-64-dev <!stage1>,
               xz-utils,
               zlib1g-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/mingw-w64-team/gcc-mingw-w64
Vcs-Git: https://salsa.debian.org/mingw-w64-team/gcc-mingw-w64.git
Homepage: https://www.gnu.org/software/gcc/
Rules-Requires-Root: no

Package: gcc-mingw-w64
Architecture: all
Depends: gcc-mingw-w64-i686,
         gcc-mingw-w64-x86-64,
         ${misc:Depends}
Built-Using: gcc-9 (= ${gcc:Version})
Description: GNU C compiler for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the C compiler, supporting
 cross-compiling to 32- and 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gcc-mingw-w64-i686
Architecture: any
Depends: binutils-mingw-w64-i686 (>= 2.30~), mingw-w64-i686-dev, gcc-mingw-w64-base (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-9-locales (>= ${local:Version})
Breaks: gcc-mingw-w64 (<< ${split:Version})
Conflicts: gcc-mingw-w64-bootstrap
Replaces: gcc-mingw-w64 (<< ${split:Version}), gcc-mingw-w64-bootstrap
Built-Using: gcc-9 (= ${gcc:Version})
Description: GNU C compiler for MinGW-w64 targeting Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the C compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gcc-mingw-w64-x86-64
Architecture: any
Depends: binutils-mingw-w64-x86-64 (>= 2.30~), mingw-w64-x86-64-dev, gcc-mingw-w64-base (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-9-locales (>= ${local:Version})
Breaks: gcc-mingw-w64 (<< ${split:Version})
Conflicts: gcc-mingw-w64-bootstrap
Replaces: gcc-mingw-w64 (<< ${split:Version}), gcc-mingw-w64-bootstrap
Built-Using: gcc-9 (= ${gcc:Version})
Description: GNU C compiler for MinGW-w64 targeting Win64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the C compiler, supporting
 cross-compiling to 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: g++-mingw-w64
Architecture: all
Depends: g++-mingw-w64-i686,
         g++-mingw-w64-x86-64,
         ${misc:Depends}
Built-Using: gcc-9 (= ${gcc:Version})
Description: GNU C++ compiler for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the C++ compiler, supporting
 cross-compiling to 32- and 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: g++-mingw-w64-i686
Architecture: any
Depends: gcc-mingw-w64-i686 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-9-locales (>= ${local:Version})
Breaks: gcc-mingw-w64 (<< ${split:Version})
Replaces: gcc-mingw-w64 (<< ${split:Version})
Built-Using: gcc-9 (= ${gcc:Version})
Description: GNU C++ compiler for MinGW-w64 targeting Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the C++ compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: g++-mingw-w64-x86-64
Architecture: any
Depends: gcc-mingw-w64-x86-64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-9-locales (>= ${local:Version})
Breaks: gcc-mingw-w64 (<< ${split:Version})
Replaces: gcc-mingw-w64 (<< ${split:Version})
Built-Using: gcc-9 (= ${gcc:Version})
Description: GNU C++ compiler for MinGW-w64 targeting Win64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the C++ compiler, supporting
 cross-compiling to 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gfortran-mingw-w64
Architecture: all
Depends: gfortran-mingw-w64-i686,
         gfortran-mingw-w64-x86-64,
         ${misc:Depends}
Built-Using: gcc-9 (= ${gcc:Version})
Description: GNU Fortran compiler for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the Fortran compiler, supporting
 cross-compiling to 32- and 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gfortran-mingw-w64-i686
Architecture: any
Depends: gcc-mingw-w64-i686 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-9-locales (>= ${local:Version})
Breaks: gcc-mingw-w64 (<< ${split:Version}), gcc-mingw-w64-i686 (<< ${libcaf:Version})
Replaces: gcc-mingw-w64 (<< ${split:Version}), gcc-mingw-w64-i686 (<< ${libcaf:Version})
Built-Using: gcc-9 (= ${gcc:Version})
Description: GNU Fortran compiler for MinGW-w64 targeting Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the Fortran compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gfortran-mingw-w64-x86-64
Architecture: any
Depends: gcc-mingw-w64-x86-64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-9-locales (>= ${local:Version})
Breaks: gcc-mingw-w64 (<< ${split:Version}), gcc-mingw-w64-x86-64 (<< ${libcaf:Version})
Replaces: gcc-mingw-w64 (<< ${split:Version}), gcc-mingw-w64-x86-64 (<< ${libcaf:Version})
Built-Using: gcc-9 (= ${gcc:Version})
Description: GNU Fortran compiler for MinGW-w64 targeting Win64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the Fortran compiler, supporting
 cross-compiling to 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gobjc-mingw-w64
Architecture: all
Depends: gobjc-mingw-w64-i686,
         gobjc-mingw-w64-x86-64,
         ${misc:Depends}
Built-Using: gcc-9 (= ${gcc:Version})
Description: GNU Objective-C compiler for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the Objective-C compiler, supporting
 cross-compiling to 32- and 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gobjc-mingw-w64-i686
Architecture: any
Depends: gcc-mingw-w64-i686 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-9-locales (>= ${local:Version})
Built-Using: gcc-9 (= ${gcc:Version})
Description: GNU Objective-C compiler for MinGW-w64 targeting Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the Objective-C compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gobjc-mingw-w64-x86-64
Architecture: any
Depends: gcc-mingw-w64-x86-64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-9-locales (>= ${local:Version})
Built-Using: gcc-9 (= ${gcc:Version})
Description: GNU Objective-C compiler for MinGW-w64 targeting Win64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the Objective-C compiler, supporting
 cross-compiling to 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gobjc++-mingw-w64
Architecture: all
Depends: gobjc++-mingw-w64-i686,
         gobjc++-mingw-w64-x86-64,
         ${misc:Depends}
Built-Using: gcc-9 (= ${gcc:Version})
Description: GNU Objective-C++ compiler for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the Objective-C++ compiler, supporting
 cross-compiling to 32- and 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gobjc++-mingw-w64-i686
Architecture: any
Depends: gobjc-mingw-w64-i686 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-9-locales (>= ${local:Version})
Built-Using: gcc-9 (= ${gcc:Version})
Description: GNU Objective-C++ compiler for MinGW-w64 targeting Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the Objective-C++ compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gobjc++-mingw-w64-x86-64
Architecture: any
Depends: gobjc-mingw-w64-x86-64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-9-locales (>= ${local:Version})
Built-Using: gcc-9 (= ${gcc:Version})
Description: GNU Objective-C++ compiler for MinGW-w64 targeting Win64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the Objective-C++ compiler, supporting
 cross-compiling to 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gnat-mingw-w64
Architecture: all
Depends: gnat-mingw-w64-i686,
         gnat-mingw-w64-x86-64,
         ${misc:Depends}
Built-Using: gcc-9 (= ${gcc:Version})
Description: GNU Ada compiler for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the Ada compiler, supporting
 cross-compiling to 32- and 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gnat-mingw-w64-i686
Architecture: any
Depends: gcc-mingw-w64-i686 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-9-locales (>= ${local:Version})
Breaks: gcc-mingw-w64 (<< ${split:Version})
Replaces: gcc-mingw-w64 (<< ${split:Version})
Built-Using: gcc-9 (= ${gcc:Version})
Description: GNU Ada compiler for MinGW-w64 targeting Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the Ada compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gnat-mingw-w64-x86-64
Architecture: any
Depends: gcc-mingw-w64-x86-64 (= ${binary:Version}),
