## gcc-mingw-w64 24

=== debian/changelog ===
gcc-mingw-w64 (24) unstable; urgency=medium

  * Following MSYS2 and Fedora’s example (among others), switch from SJLJ
    exception handling to Dwarf2; this will help the Rust toolchain in
    particular. Closes: #540782.
  * Rename binary-without-manpage override to no-manual-page.
  * Install ada_target_properties files.

 -- Stephen Kitt <skitt@debian.org>  Sat, 21 Nov 2020 15:01:02 +0100

gcc-mingw-w64 (23) unstable; urgency=medium

  * Enable gnat on architectures where gnat-10 is available.
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Sat, 30 May 2020 17:35:02 +0200

gcc-mingw-w64 (23~exp1) experimental; urgency=medium

  * Allow building without gnat (on m68k and in preparation for early
    GCC 10 packages).
  * Hard-code the replacement versions following the per-thread-model
    and runtime splits.
  * Ensure debian/control is rebuilt if debian/rules changes.
  * Build with GCC 10.

 -- Stephen Kitt <skitt@debian.org>  Sat, 04 Apr 2020 20:44:55 +0200

gcc-mingw-w64 (22) unstable; urgency=medium

  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Fri, 27 Mar 2020 12:28:04 +0100

gcc-mingw-w64 (22~exp3) experimental; urgency=medium

  * Adjust gm2 extraction to allow building with current versions of gcc-
    9-source.
  * Handle symlink conversions for the new meta-packages. Closes:
    #950090.
  * Standards-Version 4.5.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 26 Mar 2020 20:56:24 +0100

gcc-mingw-w64 (22~exp2) experimental; urgency=medium

  * Add alternatives for gcov-dump and gcov-tool.
  * Bootstrap debian/control for stage1.
  * When bootstrapping, only build the default threading model, avoiding
    the need for alternatives. Closes: #838879.
  * When bootstrapping, build with the default compiler, and drop the
    gnat requirement.
  * Split the POSIX/Win32 threading model variants into separate
    packages.
  * Handle debian/control as a real target, not a phony target with a
    stamp file.
  * Ship the DLLs in separate runtime packages. LP: #1235983.
  * Fix more spelling mistakes flagged by Lintian.
  * Update licensing information.

 -- Stephen Kitt <skitt@debian.org>  Sat, 14 Dec 2019 23:14:44 +0100
