## gcc-mingw-w64 24.1

=== debian/changelog ===
gcc-mingw-w64 (24.1) unstable; urgency=medium

  * Update gcc-mingw-w64-base’s README.Debian with the switch to Dwarf2.
  * Standards-Version 4.5.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 22 Jan 2021 17:39:15 +0100
