=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-# Build gcc-mingw-w64 using gcc-8-source.
-# Copyright © 2010-2018 Stephen Kitt <skitt@debian.org>
+# Build gcc-mingw-w64 using gcc-10-source.
+# Copyright © 2010-2020 Stephen Kitt <skitt@debian.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -23,9 +23,15 @@
 # Built-Using, which results in build failures
 export NO_PKG_MANGLE=1
 
-target_version := 9
+target_version := 10
+target32 := i686-w64-mingw32
+target64 := x86_64-w64-mingw32
+targets := $(target32) $(target64)
+threads := posix win32
+gnat_arches := alpha amd64 arm64 armel armhf hppa i386 mips64el mipsel ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
 
 include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/architecture.mk
 
 top_dir := $(shell pwd)
 gcc_dir := /usr/src/gcc-$(target_version)
@@ -36,13 +42,16 @@
 deb_version := $(source_version)+$(DEB_VERSION)
 deb_upstream_version := $(shell echo $(deb_version) | cut -d- -f1)
 deb_upstream_nextversion := $(shell echo $(deb_upstream_version) | awk -F. "{ for (i = 1; i < NF; i++) { printf \"%d.\",\$$i; }; print (\$$NF + 1); }")
-base_version := $(shell echo $(deb_version) | sed -e 's/\([1-9]\.[0-9]\).*-.*/\1/')
+base_version := $(shell echo $(deb_version) | sed -e 's/\([1-9][.0-9]\).*-.*/\1/')
 derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")
 
-# First split version
+# Split versions
 first_split_version := 4.6.3-3+4
+thread_split_version := 9.3.0-8+22
+runtime_split_version := 9.3.0-8+22
 ifeq ($(derives_from_ubuntu),yes)
   first_split_version := 4.6.3-1ubuntu5+5ubuntu1
+# TODO Remember the split versions after Ubuntu syncs
 endif
 
 # libcaf migration version
@@ -58,7 +67,10 @@
     INSTALL_TARGET := install-gcc
 else
 # Build the full GCC.
-    languages := c,c++,fortran,objc,obj-c++,ada
+    languages := c,c++,fortran,objc,obj-c++
+ifneq ($(filter $(DEB_HOST_ARCH),$(gnat_arches)),)
+    languages := $(languages),ada
+endif
     BUILD_TARGET :=
     INSTALL_TARGET := install install-lto-plugin
 endif
@@ -66,28 +78,38 @@
 comma := ,
 space :=
 space +=
-control: control-stamp
-control-stamp:
+control: debian/control
+debian/control: $(wildcard debian/control.*) debian/rules
 	echo \# This file is generated using debian/rules control, do not edit > debian/control
 	cat debian/control.source >> debian/control
+ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
+	echo >> debian/control
+	cat debian/control.bootstrap >> debian/control
+else
 	for language in $(subst $(comma),$(space),$(languages)); do \
 		echo >> debian/control; \
 		sed -f debian/control.$$language.sed debian/control.template >> debian/control; \
 	done
+	for target in $(subst -w64-mingw32,,$(subst _,-,$(targets))); do \
+		for thread in $(threads); do \
+			echo $$starget; \
+			echo >> debian/control; \
+			sed "s/@@TARGET@@/$$target/g;s/@@THREADS@@/$$thread/g" debian/control.runtime >> debian/control; \
+		done; \
+	done
+endif
 	echo >> debian/control
 	cat debian/control.base >> debian/control
-#	echo >> debian/control
-#	cat debian/control.bootstrap >> debian/control
 	sed -i '/^Recommends: $$/d' debian/control
 	sed -i '/^Breaks: $$/d' debian/control
 	sed -i '/^Conflicts: $$/d' debian/control
 	sed -i '/^Replaces: $$/d' debian/control
 	sed -i 's/@@VERSION@@/$(target_version)/g' debian/control
-	for file in debian/*.in; do sed 'sX@@WARNING@@XThis file is generated using debian/rules control, do not editXg;s/@@VERSION@@/$(target_version)/g;s/@@BASEVERSION@@/$(base_version)/g' < $$file > $${file%%.in}; chmod --reference=$$file $${file%%.in}; done
-	touch $@
-
-targets := i686-w64-mingw32 x86_64-w64-mingw32
-threads := posix win32
+ifeq (,$(gnat_arches))
+	sed -i '/@@GNAT_ARCHES@@/d' debian/control
+else
+	sed -i 's/@@GNAT_ARCHES@@/$(gnat_arches)/' debian/control
+endif
 
 # Hardening on the host, none on the target
 # Format fails the build currently; using PIE produces a compiler
@@ -95,8 +117,13 @@
 dpkg_buildflags_host = DEB_BUILD_MAINT_OPTIONS="hardening=+all,-format,-pie" dpkg-buildflags
 dpkg_buildflags_target = DEB_BUILD_MAINT_OPTIONS="hardening=-all" dpkg-buildflags
 
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 CC = gcc-$(target_version)
 CXX = g++-$(target_version)
+else
+CC = gcc
+CXX = g++
+endif
 CFLAGS = $(shell $(dpkg_buildflags_host) --get CFLAGS)
 CFLAGS += -Wall
 CFLAGS_FOR_TARGET = $(shell $(dpkg_buildflags_target) --get CFLAGS)
@@ -155,9 +182,7 @@
 	rm -rf $(upstream_dir)
 	mv gcc-* $(upstream_dir)
 # gcc-9-source assumes gm2 is unpacked too
-	tar xf $(gcc_dir)/gm2-*.tar.* -C $(upstream_dir)
-	(cd src/gm2 && tar cf - gcc libgm2) | (cd src && tar xf -)
-	rm -rf src/gm2
+	tar xf $(gcc_dir)/gm2-*.tar.* --strip-components 1 -C $(upstream_dir)
 # Apply our first series of patches (those which need to be applied
 # before gcc-?-source’s)
 	QUILT_SERIES=debian/patches/series1 QUILT_PATCHES=debian/patches quilt push -a
@@ -168,10 +193,11 @@
 	if [ ! -f $(upstream_dir)/gcc/doc/gcov-dump.texi ]; then cp $(gcc_dir)/debian/dummy.texi $(upstream_dir)/gcc/doc/gcov-dump.texi; fi
 	touch $@
 
-clean: control
+clean: debian/control
 	dh_testdir
 	dh_testroot
 	rm -rf $(stampdir) $(build_dir) $(upstream_dir) .pc autotools_files series *-stamp
+	rm -f $(patsubst %.in,%,$(wildcard debian/*.in))
 	dh_clean
 
 # Configuration constructed as in the gcc package
@@ -190,32 +216,3 @@
 	--without-included-gettext \
 	--libdir=/$(PF)/$(libdir) \
 	--enable-libstdcxx-time=yes \
-	--with-tune=generic
-# Tell GCC where the headers are (this enables gcov)
-CONFFLAGS += \
-	--with-headers=/usr/$$target/include
-# MinGW-w64 flags
-# version-specific-runtime-libs puts target-specific libraries in
-# /usr/lib/gcc rather than /usr/$(target)
-CONFFLAGS += \
-	--enable-version-specific-runtime-libs \
-	--enable-fully-dynamic-string \
-	--enable-libgomp
-# Languages
-CONFFLAGS += \
-	--enable-languages=$(languages)
-# LTO
-CONFFLAGS += \
-	--enable-lto
-# Thread-model-dependent
-CONFFLAGS += \
-	--enable-threads=$$threads \
-	--program-suffix=-$$threads
-# Target-dependent
-CONFFLAGS += \
-	--program-prefix=$$target- \
-	--target=$$target \
-	--with-as=/usr/bin/$$target-as \
-	--with-ld=/usr/bin/$$target-ld
-# Enable libatomic
-CONFFLAGS += \
