## gcc-mingw-w64 24.1build1

=== debian/changelog ===
gcc-mingw-w64 (24.1build1) hirsute; urgency=medium

  * No-change upload tp build with GCC 10.3.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Apr 2021 16:44:22 +0200
