=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                mingw-w64-x86-64-dev <!stage1>,
                xz-utils,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/mingw-w64-team/gcc-mingw-w64
 Vcs-Git: https://salsa.debian.org/mingw-w64-team/gcc-mingw-w64.git
 Homepage: https://www.gnu.org/software/gcc/
