## gcc-mingw-w64 24.3

=== debian/changelog ===
gcc-mingw-w64 (24.3) unstable; urgency=medium

  * Add gnatgcc links, attached to the gnat links; this allows gprbuild to
    find the appropriate gcc. Closes: #932969.
  * Drop the asterisk from NEWS, to follow best practices as documented
    in <https://www.debian.org/doc/manuals/developers-reference/best-
    pkging-practices.html#supplementing-changelogs-with-news-debian-
    files>.
  * Make 4.3 broke the space construction in debian/rules, use a space
    directly instead.
  * Mark gcc-mingw-w64-base as “Multi-Arch: same”. Closes: #986615.
  * Enforce the use of /bin/sed to ensure reproducibility across
    usrmerge; thanks to Vagrant Cascadian for the patch. Closes:
    #991020.
  * Drop the obsolete patch-file-present-but-not-mentioned-in-series
    Lintian override.
  * Override the non-standard-file-perm Lintian warning for ALI files.
  * Fix the spelling of “shouldn’t”.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 11 Feb 2022 17:25:46 +0100
