=== debian/rules ===
--- 
+++ 
@@ -76,8 +76,6 @@
 endif
 
 comma := ,
-space :=
-space +=
 control: debian/control
 debian/control: $(wildcard debian/control.*) debian/rules
 	echo \# This file is generated using debian/rules control, do not edit > debian/control
@@ -86,7 +84,7 @@
 	echo >> debian/control
 	cat debian/control.bootstrap >> debian/control
 else
-	for language in $(subst $(comma),$(space),$(languages)); do \
+	for language in $(subst $(comma), ,$(languages)); do \
 		echo >> debian/control; \
 		sed -f debian/control.$$language.sed debian/control.template >> debian/control; \
 	done
@@ -216,3 +214,4 @@
 	--without-included-gettext \
 	--libdir=/$(PF)/$(libdir) \
 	--enable-libstdcxx-time=yes \
+	--with-tune=generic
