## gcc-mingw-w64 24.4ubuntu1

=== debian/changelog ===
gcc-mingw-w64 (24.4ubuntu1) kinetic; urgency=medium

  * d/control: Use Multi-Arch: foreign in order to satisfy dependency in
    a multi-arch environment (i.e. i386 chroot on an amd64 machine)

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Fri, 03 Jun 2022 11:55:53 +0200

gcc-mingw-w64 (24.4) unstable; urgency=medium

  * Fix building without vsnprintf. Closes: #1009481.

 -- Stephen Kitt <skitt@debian.org>  Fri, 15 Apr 2022 12:34:36 +0200
