=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 # This file is generated using debian/rules control, do not edit
 Source: gcc-mingw-w64
-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
 Section: devel
 Priority: optional
 Build-Depends: autotools-dev,
@@ -44,6 +45,7 @@
 
 Package: gcc-mingw-w64-i686
 Architecture: all
+Multi-Arch: foreign
 Depends: gcc-mingw-w64-i686-posix,
          gcc-mingw-w64-i686-win32,
          ${misc:Depends}
@@ -270,8 +272,3 @@
  .
  This package contains the C++ compiler, supporting
  cross-compiling to 64-bit MinGW-w64 targets, using the Win32
- threading model.
-Build-Profiles: <!stage1>
-
-Package: gfortran-mingw-w64
-Architecture: all
